# Class TagFileXml

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TagFileXml

public class TagFileXml extends Object
Bare-bone model of a tag file loaded from a TLD. This does not contain the tag-specific attributes that requiring parsing the actual tag file to derive.

## Constructor Summary

Constructors
Constructor
Description
`TagFileXml()`
Constructs a new TagFileXml.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name.
`String`
`getInfo()`
Returns the description info.
`String`
`getLargeIcon()`
Returns the large icon path.
`String`
`getName()`
Returns the tag name.
`String`
`getPath()`
Returns the tag file path.
`String`
`getSmallIcon()`
Returns the small icon path.
`void`
`setDisplayName(String displayName)`
Sets the display name.
`void`
`setInfo(String info)`
Sets the description info.
`void`
`setLargeIcon(String largeIcon)`
Sets the large icon path.
`void`
`setName(String name)`
Sets the tag name.
`void`
`setPath(String path)`
Sets the tag file path.
`void`
`setSmallIcon(String smallIcon)`
Sets the small icon path.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagFileXml

public TagFileXml()
Constructs a new TagFileXml.

## Method Details

### getName

public String getName()
Returns the tag name.

Returns:
  the tag name

### setName

public void setName(String name)
Sets the tag name.

Parameters:
  `name` - the tag name

### getPath

public String getPath()
Returns the tag file path.

Returns:
  the path

### setPath

public void setPath(String path)
Sets the tag file path.

Parameters:
  `path` - the path

### getDisplayName

public String getDisplayName()
Returns the display name.

Returns:
  the display name

### setDisplayName

public void setDisplayName(String displayName)
Sets the display name.

Parameters:
  `displayName` - the display name

### getSmallIcon

public String getSmallIcon()
Returns the small icon path.

Returns:
  the small icon path

### setSmallIcon

public void setSmallIcon(String smallIcon)
Sets the small icon path.

Parameters:
  `smallIcon` - the small icon path

### getLargeIcon

public String getLargeIcon()
Returns the large icon path.

Returns:
  the large icon path

### setLargeIcon

public void setLargeIcon(String largeIcon)
Sets the large icon path.

Parameters:
  `largeIcon` - the large icon path

### getInfo

public String getInfo()
Returns the description info.

Returns:
  the info

### setInfo

public void setInfo(String info)
Sets the description info.

Parameters:
  `info` - the info